Subject: Re: [PATCH v2 11/13] config.mak.uname: add sysinfo() configuration for cygwin

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 14 Apr 2025 09:55:11 +0200

On Sun, Apr 06, 2025 at 08:38:37PM +0100, Ramsay Jones wrote:
> Although sysinfo() is a 'Linux only' function, cygwin provides an
> implementation which appears to be functional. The assumption that
> this function is Linux only is reflected in the way the HAVE_SYSINFO
> build variable is handled by the Makefile and config.mak.uname.
> 
> Rework the setting of HAVE_SYSINFO in the Linux section of the system
> specific config file, along with the corresponding setting of the
> BASIC_CFLAGS in the Makefile. Add the setting of HAVE_SYSINFO to the
> cygwin section of 'config.mak.uname'. While here, add a test for the
> sysinfo() function to the autoconf build system.

Makes sense. Meson already does this, so it doesn't need to be adjusted.

Patrick